Subject: Re: [PATCH 6/5] run-command: avoid potential dangers in forked child

From: Brandon Williams <[email-masked]>
Date: Tue, 11 Apr 2017 09:29:20 -0700

On 04/11, Eric Wong wrote:
> Hi Brandon, this series tickles an old itch of mine, so I
> started working off of it.  I'm only somewhat concerned
> with the path resolution in execvp(e) pontentially calling
> malloc on some libcs; but I suppose that's a separate patch
> for another time.
> 
> Only lightly-tested at the moment, but things seem to work...

Thanks Eric! I'll spend some time looking at this patch later today.  As
for the path resolution in execvp(e), I guess we could completely avoid
that if we did the path resolution ourselves, prior to forking, and then
just use execv(e) since it shouldn't have any calls to malloc in them
correct?

-- 
Brandon Williams